/* Replace with your SQL commands */

-- wont need this, but keeping is incase..

--alter foreign table loc_entity_geo_fgn add column types integer[];
--alter foreign table loc_entity_geo_fgn add column country_code character varying(2);
--alter foreign table loc_entity_geo_fgn add column nogeocoding boolean;
--alter foreign table loc_entity_geo_fgn add column blacklisted boolean;
--alter foreign table loc_entity_geo_fgn add column parents character varying(64)[];
--alter foreign table loc_entity_geo_fgn add column master character varying(64);
--
--
--alter table loc_entity_geo add column types integer[];
--alter table loc_entity_geo add column country_code character varying(2);
--alter table loc_entity_geo add column nogeocoding boolean;
--alter table loc_entity_geo add column blacklisted boolean;
--alter table loc_entity_geo add column parents character varying(64)[];
--alter table loc_entity_geo add column master character varying(64);
--
---- run this on index servers
--CREATE OR REPLACE FUNCTION zs_populate_loc_entity_geo_from_fgn()
--returns void as
--$BODY$
--BEGIN
--
--    truncate loc_entity_geo;
--    INSERT INTO loc_entity_geo
--    SELECT id, ST_SetSRID(geo_100,4326), nbefore, nafter, types, country_code, nogeocoding, blacklisted, parents, master
--    FROM loc_entity_geo_fgn;
--
--END;
--$BODY$
--  LANGUAGE plpgsql
--  COST 100;